// This file is automatically generated by sila2lib.proto_builder.proto_builder version 0.2.0
// :generation date: 2020-04-16 12:19:12
//
// ---- PLEASE DO NOT MODIFY MANUALLY !! ---

syntax = "proto3";
import "SiLAFramework.proto";
package sila2.org.silastandard.examples.offgasservicer.v1;

// Feature: Offgas Servicer
//   
//           Control a DASGIP offgas module. Enables read and write operations for various parameters.
//           By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 20.05.2019
//   
service OffgasServicer {
    // Get CTR PV
    //   Get offgas carbondioxide transfer rate process value
    rpc GetCTRPV(sila2.org.silastandard.examples.offgasservicer.v1.GetCTRPV_Parameters) returns (sila2.org.silastandard.examples.offgasservicer.v1.GetCTRPV_Responses) {}
    // Get F PV
    //   Get offgas total flow process value
    rpc GetFPV(sila2.org.silastandard.examples.offgasservicer.v1.GetFPV_Parameters) returns (sila2.org.silastandard.examples.offgasservicer.v1.GetFPV_Responses) {}
    // Get OTR PV
    //   Get offgas oxygen transfer rate process value
    rpc GetOTRPV(sila2.org.silastandard.examples.offgasservicer.v1.GetOTRPV_Parameters) returns (sila2.org.silastandard.examples.offgasservicer.v1.GetOTRPV_Responses) {}
    // Get RQ PV
    //   Get offgas RQ process value
    rpc GetRQPV(sila2.org.silastandard.examples.offgasservicer.v1.GetRQPV_Parameters) returns (sila2.org.silastandard.examples.offgasservicer.v1.GetRQPV_Responses) {}
    // Get XCO2 PV
    //   Get offgas CO2 concentration process value
    rpc GetXCO2PV(sila2.org.silastandard.examples.offgasservicer.v1.GetXCO2PV_Parameters) returns (sila2.org.silastandard.examples.offgasservicer.v1.GetXCO2PV_Responses) {}
    // Get VCT PV
    //   Get offgas cumulated CO2 transfer rate
    rpc GetVCTPV(sila2.org.silastandard.examples.offgasservicer.v1.GetVCTPV_Parameters) returns (sila2.org.silastandard.examples.offgasservicer.v1.GetVCTPV_Responses) {}
    // Get VOT PV
    //   Get offgas cumulated O2 transfer rate
    rpc GetVOTPV(sila2.org.silastandard.examples.offgasservicer.v1.GetVOTPV_Parameters) returns (sila2.org.silastandard.examples.offgasservicer.v1.GetVOTPV_Responses) {}
    // Get State
    //   Get controller state. Controller state (Off, On, Error).
    rpc GetState(sila2.org.silastandard.examples.offgasservicer.v1.GetState_Parameters) returns (sila2.org.silastandard.examples.offgasservicer.v1.GetState_Responses) {}
    // Get Function Type
    //   Get function type.
    rpc GetType(sila2.org.silastandard.examples.offgasservicer.v1.GetType_Parameters) returns (sila2.org.silastandard.examples.offgasservicer.v1.GetType_Responses) {}
    // Get Function Availability
    //   Get function availability.
    rpc GetAvailable(sila2.org.silastandard.examples.offgasservicer.v1.GetAvailable_Parameters) returns (sila2.org.silastandard.examples.offgasservicer.v1.GetAvailable_Responses) {}
    // Get Function Name
    //   Get function name.
    rpc GetName(sila2.org.silastandard.examples.offgasservicer.v1.GetName_Parameters) returns (sila2.org.silastandard.examples.offgasservicer.v1.GetName_Responses) {}
    // Get Function Version
    //   Get function model version number.
    rpc GetVersion(sila2.org.silastandard.examples.offgasservicer.v1.GetVersion_Parameters) returns (sila2.org.silastandard.examples.offgasservicer.v1.GetVersion_Responses) {}
    
    
}

// ----------------- Data Type definitions -----------------


// ------ Command Parameter and Response definitions -------
message GetCTRPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetCTRPV_Responses {
    sila2.org.silastandard.Real CurrentCTRPV = 1;
}

message GetFPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetFPV_Responses {
    sila2.org.silastandard.Real CurrentFPV = 1;
}

message GetOTRPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetOTRPV_Responses {
    sila2.org.silastandard.Real CurrentOTRPV = 1;
}

message GetRQPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetRQPV_Responses {
    sila2.org.silastandard.Real CurrentRQPV = 1;
}

message GetXCO2PV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetXCO2PV_Responses {
    sila2.org.silastandard.Real CurrentXCO2PV = 1;
}

message GetVCTPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVCTPV_Responses {
    sila2.org.silastandard.Real CurrentVCTPV = 1;
}

message GetVOTPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVOTPV_Responses {
    sila2.org.silastandard.Real CurrentVOTPV = 1;
}

message GetState_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetState_Responses {
    sila2.org.silastandard.Integer CurrentState = 1;
}

message GetType_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetType_Responses {
    sila2.org.silastandard.String CurrentType = 1;
}

message GetAvailable_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAvailable_Responses {
    sila2.org.silastandard.Integer CurrentAvailable = 1;
}

message GetName_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetName_Responses {
    sila2.org.silastandard.String CurrentName = 1;
}

message GetVersion_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVersion_Responses {
    sila2.org.silastandard.String CurrentVersion = 1;
}


// ----------------- Metadata Definitions ------------------
